import { SportTypes, ProfileTypes } from 'config'

import { getProfileLogo } from '..'

describe('getLogo helper', () => {
  it('returns logo url', () => {
    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.PLAYERS,
      sportType: SportTypes.FOOTBALL,
    })).toBe('https://instatscout.com/images/players/180/1.png')

    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.TEAMS,
      sportType: SportTypes.BASKETBALL,
    })).toBe('https://basketball.instatscout.com/images/teams/180/1.png')

    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.TOURNAMENTS,
      sportType: SportTypes.HOCKEY,
    })).toBe('https://hockey.instatscout.com/images/tournaments/180/1.png')
  })
})
